Package org.codehaus.janino

# Class Java.CatchParameter

java.lang.Object
org.codehaus.janino.Java.Located
org.codehaus.janino.Java.CatchParameter

All Implemented Interfaces:
  `Java.Locatable`

Enclosing class:
  `Java`

public static final class Java.CatchParameter extends Java.Located
Representation of a "catch" parameter.

## Field Summary

Fields
Modifier and Type
Field
Description
`final boolean`
`finaL`
Whether the parameter is declared FINAL.
`Java.LocalVariable`
`localVariable`
The local variable associated with this parameter.
`final String`
`name`
The name of the parameter.
`final Java.Type[]`
`types`
The types of the parameter.

### Fields inherited from class org.codehaus.janino.Java.Located

`NOWHERE`

## Constructor Summary

Constructors
Constructor
Description
`CatchParameter(Location location, boolean finaL, Java.Type[] types, String name)`

## Method Summary

Modifier and Type
Method
Description
`void`
`setEnclosingScope(Java.Scope enclosingScope)`
`String`
`toString()`

### Methods inherited from class org.codehaus.janino.Java.Located

`getLocation, throwCompileException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### finaL

public final boolean finaL
Whether the parameter is declared FINAL.

### types

public final Java.Type[] types
The types of the parameter.

### name

public final String name
The name of the parameter.

### localVariable

@Nullable public Java.LocalVariable localVariable
The local variable associated with this parameter.

## Constructor Details

### CatchParameter

public CatchParameter(Location location, boolean finaL, Java.Type[] types, String name)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### setEnclosingScope

public void setEnclosingScope(Java.Scope enclosingScope)

Parameters:
  `enclosingScope` - The scope that encloses this catch parameter declaration